# These are python scripts executed directly from executor.py
# This module has a pyScripts dictionary which act as a mapper and also the scripts.
# These functions should take a list as a parameter in which would be the needed data for each script.
# The result of these scripts will be converted to string and send back to the requester.
# If it's needed you must check if params list came with desired arguments.
import pam
from subprocess import PIPE, Popen

pyScripts = {
    "PythonScripts": {
        "isValidUserPass": "is_valid_user_pass_comparing_so",
        "authenticateUserFromACO": "authenticate_user_from_aco"
    }
}


def is_valid_user_pass_comparing_so(args):
    user = args[0]
    pass_ = args[1]
    if user and pass_:
        p = pam.pam()
        is_valid = p.authenticate(user, pass_)
        return is_valid
    return False


def authenticate_user_from_aco(args):
    user = args[0]
    password = args[1]
    result = ''
    if user and password:
        p = Popen(["sh", "/home/akkadianuser/scripts/Auth/get_username_password_aco.sh", args[0]],
                  stdout=PIPE, stderr=PIPE)
        for line in p.stdout:
            line = line.decode("utf-8")
            result += line

    if result == '':
        return False

    result = result.split(":")[1]
    result = result.strip().replace(" ", "").replace("}", "").replace("\"", "")
    return result == args[1]