from setuptools import setup

setup(
    name='akkadianAppManager',
    version='4.2',
    py_modules=['akkadianAppManager', 'mongo_replication', 'time_management',
                'apache_management', 'network_management',
                'aco_management', 'executor', 'supervisor_management', 'openldap_management',
                'snmp_management', 'logs_handler', 'cdr_management', 'asm_management', 'ucce_management',
                'beanstalkd_management', 'yum_management'],
    packages=['src', 'src.cli_commons', 'src.akkadian_executor', 'src.menu_renderer', 'src.menu_renderer',
              'src.products_installation_handler', 'src.ha_handler', 'src.security_handler',
              'src.kb_handler', 'replica_failover_engine'],

    include_package_data=True,
    install_requires=[
        'click'
    ],
    entry_points="""
        [console_scripts]
        akkadianAppManager=akkadianAppManager:cli
    """,
)
