import click

from src.products_installation_handler.products_installation_manager import disable_auu_in_pme, enable_auu_in_pme


def auu_menu_handler(char, menu):
    if char == 'b':
        menu = 'main'
    elif char == '1':
        disable_auu_in_pme()
    elif char == '2':
        enable_auu_in_pme()
    return menu


def auu_menu():
    click.clear()
    click.secho('1: Disable Akkadian Universal Updater', fg='green')
    click.secho('2: Enable Akkadian Universal Updater', fg='green')
    click.secho('b. Back to Main Menu', fg='red')
