import click
import signal

from beanstalkd_management import beanstalkd_stop, beanstalkd_restart, beanstalkd_start, beanstalkd_status


def beanstalkd_menu_handler(char, ctx, menu):
    if char == 'b':
        menu = 'main'

    elif char == '1':
        ctx.invoke(beanstalkd_stop)

    elif char == '2':
        ctx.invoke(beanstalkd_restart)

    elif char == '3':
        ctx.invoke(beanstalkd_start)

    elif char == '4':
        ctx.invoke(beanstalkd_status)

    return menu


def beanstalkd_menu():
    click.clear()
    click.secho('Beanstalkd Service Settings', fg='green')
    click.secho('1: Stop Beanstalkd Service', fg='green')
    click.secho('2: Restart Beanstalkd Service', fg='green')
    click.secho('3: Start Beanstalkd Service', fg='green')
    click.secho('4: Status Beanstalkd Service', fg='green')
    click.secho('b: Back to Main Menu', fg='red')