#!/usr/bin/env bash

if [[ -d /home/akkadianuser/aUU_installer ]]; then

  if [[ ! -d /var/www/html/update ]]; then
    sudo mkdir /var/www/html/update
  fi

  aUUName=$(ls /home/akkadianuser/aUU_installer/*.tar.gz | tail -1)
  aUUName=$(basename "$aUUName")

  if [[ ! -d /tmp/installer/ ]]; then
    sudo mkdir /tmp/installer/
  fi

  \cp -Rf /home/akkadianuser/aUU_installer/"$aUUName" /tmp/installer/

  if [[ -d /opt/akkadian/aco-server/ ]]; then
    sudo sh /home/akkadianuser/scripts/universal_updater/universal_updator_installer.sh /tmp/installer/$aUUName /usr/share/nginx/html/update
  else
    sudo sh /home/akkadianuser/scripts/universal_updater/universal_updator_installer.sh /tmp/installer/"$aUUName" /var/www/html/update
  fi
  \rm -Rf /home/akkadianuser/aUU_installer
fi
