productName=$(sh /home/akkadianuser/scripts/universal_updater/get_product_name.sh)
mariadb_old_password=$(echo "E7R9(7q>5%c8JEK")
realVersion=$(cat /home/akkadianuser/mapper.ini | grep "aam" | sed 's/aam_version=//g' | sed 1q | cut -f1-3 -d"." | sed 's/\.//g')

if [[ -d /var/www/html/pme && $realVersion -lt 411 ]]; then
    mariadb_root_pass=$(echo "9s>E7QpC3t>dgF?ygmeJ")
    mariadb_new_user=$(echo "pmeuser")
    mariadb_new_password=$(echo "+Tfqp8Gd2#WFB-?NG4P)")

    echo "Updating APM database..." >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "CREATE USER IF NOT EXISTS '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON pme.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON call_manager.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON ucce.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON unity_connection.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "FLUSH PRIVILEGES;" >> /var/www/product_update/mariadb_changes.log

    if [ ! -d /var/lib/database ]; then
      echo 'Creating database directories for phinx yaml files.' >> /home/akkadianuser/logs/pme_installation.log
      mkdir -p /var/lib/database /var/lib/database/pme /var/lib/database/callmanager /var/lib/database/ucce /var/lib/database/unityconnection
    fi
    if [ -f /var/www/html/pme/database/pme/phinx.yml ]; then
      echo 'Moving yaml files to their new home.' >> /home/akkadianuser/logs/pme_installation.log
      mv /var/www/html/pme/database/pme/phinx.yml   /var/lib/database/pme/phinx.yml
      mv /var/www/html/pme/database/callmanager/phinx.yml   /var/lib/database/callmanager/phinx.yml
      mv /var/www/html/pme/database/ucce/phinx.yml   /var/lib/database/ucce/phinx.yml
      mv /var/www/html/pme/database/unityconnection/phinx.yml   /var/lib/database/unityconnection/phinx.yml
    fi

    sudo chown -R apache:root /var/lib/database
    sudo chmod -R 775 /var/lib/database/*

    echo 'Changing pme database YAML password' > /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/lib/database/pme/phinx.yml
    sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/lib/database/pme/phinx.yml

    echo 'Changing callmanager database YAML password' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/lib/database/callmanager/phinx.yml
    sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/lib/database/callmanager/phinx.yml

    echo 'Changing ucce database YAML password' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/lib/database/ucce/phinx.yml
    sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/lib/database/ucce/phinx.yml

    echo 'Changing unityconnection database YAML password' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/lib/database/unityconnection/phinx.yml
    sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/lib/database/unityconnection/phinx.yml

elif [[ -d /var/www/html/acm && $realVersion -lt 411 ]]; then
    mariadb_root_pass=$(echo "Ch@rl3!w0P3d!3nW(0)h@")
    mariadb_new_user=$(echo "acmuser")
    mariadb_new_password=$(echo "255&Bt]9Q@GWRn?kw")
    databases=$(echo "contact_manager.*")
    #gpg -q --batch --passphrase Akkadian /home/akkadianuser/.my.cnf.gpg
    mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -e "CREATE USER '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >>/var/www/product_update/mariadb_changes.log
    mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -e "GRANT ALL PRIVILEGES ON $databases TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >>/var/www/product_update/mariadb_changes.log
    mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -e "FLUSH PRIVILEGES;" >>/var/www/product_update/mariadb_changes.log
    mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -e "ALTER USER 'root'@'localhost' IDENTIFIED BY '$mariadb_root_pass';" >>/var/www/product_update/mariadb_changes.log
    #sudo rm -Rf /home/akkadianuser/.my.cnf
fi

mariadb_root_pass=$(echo "9s>E7QpC3t>dgF?ygmeJ")
mariadb_new_password=$(echo "+Tfqp8Gd2#WFB-?NG4P)")
if [[ -d /var/www/html/orc && $realVersion -lt 411 ]]; then
    mariadb_new_user=$(echo "orcuser")

    echo 'Updating ORC database...' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/www/html/orc/.env
    apmUserFound=$(grep -wq "DB_APM_USERNAME" /var/www/html/orc/.env && echo $?)
    if [ -z $apmUserFound ]; then
      echo "DB_APM_USERNAME=pmeuser" >> /var/www/html/orc/.env
    fi
    found=$(grep -wq "\"$mariadb_old_password\"" /var/www/html/orc/.env && echo $?)
    if [ -z $found ]; then
      sed -i "s/$mariadb_old_password/\"$mariadb_new_password\"/g" /var/www/html/orc/.env
    else
      sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/www/html/orc/.env
    fi

    mysql -u root -p"$mariadb_old_password" -e "CREATE USER IF NOT EXISTS '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON orc.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "FLUSH PRIVILEGES;" >> /var/www/product_update/mariadb_changes.log
fi
if [[ -d /var/www/html/maestro && $realVersion -lt 411 ]]; then
    mariadb_new_user=$(echo "admuser")

    echo 'Updating ADM database...' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/www/html/maestro/.env
    found=$(grep -wq "\"$mariadb_old_password\"" /var/www/html/maestro/.env && echo $?)
    if [ -z $found ]; then
      sed -i "s/$mariadb_old_password/\"$mariadb_new_password\"/g" /var/www/html/maestro/.env
    else
      sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/www/html/maestro/.env
    fi
    mysql -u root -p"$mariadb_old_password" -e "CREATE USER IF NOT EXISTS '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON maestro.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "FLUSH PRIVILEGES;" >> /var/www/product_update/mariadb_changes.log
fi

if [[ -d /var/www/html/asb && $realVersion -lt 411 ]]; then
    mariadb_new_user=$(echo "asbuser")

    echo 'Updating ASB database...' >> /home/akkadianuser/logs/akkadian_change_password.log
    sed -i "s/root/$mariadb_new_user/g" /var/www/html/asb/.env
    found=$(grep -wq "\"$mariadb_old_password\"" /var/www/html/asb/.env && echo $?)
    if [ -z $found ]; then
      sed -i "s/$mariadb_old_password/\"$mariadb_new_password\"/g" /var/www/html/asb/.env
    else
      sed -i "s/$mariadb_old_password/$mariadb_new_password/g" /var/www/html/asb/.env
    fi
    mysql -u root -p"$mariadb_old_password" -e "CREATE USER IF NOT EXISTS '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "GRANT ALL PRIVILEGES ON asb.* TO '$mariadb_new_user'@localhost IDENTIFIED BY '$mariadb_new_password';" >> /var/www/product_update/mariadb_changes.log
    mysql -u root -p"$mariadb_old_password" -e "FLUSH PRIVILEGES;" >> /var/www/product_update/mariadb_changes.log
fi
if [[ (-d /var/www/html/pme  ||  -d /var/www/html/asb ) && $realVersion -lt 411 ]]; then
  mariadb_root_pass=$(echo "9s>E7QpC3t>dgF?ygmeJ")
  mysql -u root -p"$mariadb_old_password" -e "ALTER USER 'root'@'localhost' IDENTIFIED BY '$mariadb_root_pass';" >> /var/www/product_update/mariadb_changes.log
fi