#!/usr/bin/env sh

scripts=/home/akkadianuser/scripts
conApiLogs="/opt/ucce-service"
CMSLog="$conApiLogs/CMSLOG"
sudo chown akkadianuser:akkadianuser $CMSLog
if [ -d "$conApiLogs" ];then
  previousDateFile=$(date  --date="yesterday" +"%Y-%m-%d")

  lastTwoDaysCMSLog="$CMSLog-$lastTwoDays"
  yesterdayCMSLog="$CMSLog-$previousDateFile"
  if [ -s $yesterdayCMSLog ];then
    sudo \rm -f $yesterdayCMSLog
  fi

  if [ -s "$CMSLog" ];then
    sudo \cp $CMSLog "$yesterdayCMSLog"
    sudo \cat /dev/null > "$CMSLog"
  fi
fi