#!/usr/bin/env sh

scripts=/home/akkadianuser/scripts
supervisorWorkerLogs=$(ls /var/log/supervisor/)
dateFile=$(date +"%Y-%m-%d")
previousDateFile=$(date  --date="yesterday" +"%Y-%m-%d")
if [ ! -d /var/log/supervisor_backup ]; then
  sudo mkdir /var/log/supervisor_backup
fi
for workerLog in $supervisorWorkerLogs; do
  if [[ "$workerLog" == *"bulk_worker_manager"* ]]; then
    sudo mv /var/log/supervisor/$workerLog /var/log/supervisor_backup/$workerLog-$dateFile
    # Removing "yesterday's" files
    if [ -f /var/log/supervisor_backup/$workerLog-$previousDateFile ]; then
      sudo rm -f /var/log/supervisor_backup/$workerLog-$previousDateFile
    fi
  fi
  if [[ "$workerLog" == *"realtime_worker_manager"* ]]; then
    sudo mv /var/log/supervisor/$workerLog /var/log/supervisor_backup/$workerLog-$dateFile
    # Removing "yesterday's" files
    if [ -f /var/log/supervisor_backup/$workerLog-$previousDateFile ]; then
      sudo rm -f /var/log/supervisor_backup/$workerLog-$previousDateFile
    fi
  fi
done
sh $scripts/supervisor/restartSupervisor.sh