#!/usr/bin/env bash

if [ -d /var/www/html/pme ];then
  sleep 5

  cd /var/www/html/pme && /usr/bin/php /var/www/html/pme/index.php --task=ReleaseReservedJobsForHA

  beanstalkdWithNoLog="/home/akkadianuser/scripts/beanstalk/beanstalkd_with_no_binlog"
  beanstalkdWithLog="/home/akkadianuser/scripts/beanstalk/beanstalkd"
  lockFile="/var/lib/beanstalkd/binlog/lock"
  beanstalkdConfigDestination="/etc/sysconfig/beanstalkd"
  beanstalkdRestart="/home/akkadianuser/scripts/beanstalk/restartBeanstalk.sh"
  beanstalkdStart="/home/akkadianuser/scripts/beanstalk/startBeanstalk.sh"
  beanstalkdStop="/home/akkadianuser/scripts/beanstalk/stopBeanstalk.sh"
  echo "Flush script" >> /home/akkadianuser/test.log

  if [ -f $lockFile ]; then
          sudo sh $beanstalkdStop
          echo "Changing file ownership to apache:apache to all files inside binlog" >> /home/akkadianuser/logs/beanstalkd.log
          sudo chown apache:apache /var/lib/beanstalkd/binlog/*
          sleep 1
          echo "Changing permissions to binlog files to 777 new one will be generated anyway later on" >> /home/akkadianuser/logs/beanstalkd.log
          sudo chmod 777 /var/lib/beanstalkd/binlog/binlog.*
          sleep 1
          echo "Removing beanstalkd binlogs files" >> /home/akkadianuser/logs/beanstalkd.log
          sudo rm /var/lib/beanstalkd/binlog/binlog.* -fvr | sudo tee -a /home/akkadianuser/logs/beanstalkd.log
          sleep 1
          echo "Change ownership back to original ownership" >> /home/akkadianuser/logs/beanstalkd.log
          sleep 1
          sudo chown beanstalkd:beanstalkd /var/lib/beanstalkd/binlog/*
  fi

  sudo cp $beanstalkdWithLog $beanstalkdConfigDestination -f
  sleep 2
  echo "cp beanstalkd with logs succeeded" >> /home/akkadianuser/logs/beanstalkd.log
  sudo sh $beanstalkdStart
fi