#!/usr/bin/env bash

run_finish_update_main=$(grep "1" /home/akkadianuser/scripts/universal_updater/run_finish_update_main)

if [[ $run_finish_update_main == "1" ]]; then
    echo "0" | sudo tee /home/akkadianuser/scripts/universal_updater/run_finish_update_main

    sudo /usr/bin/sh /home/akkadianuser/scripts/universal_updater/clean_uu.sh

    sudo cp -Rf /home/akkadianuser/scripts/universal_updater/update_main.sh /var/www/product_update/

    sudo sh /home/akkadianuser/scripts/apm/remove-security-sensitive-files.sh

    echo "100" | sudo tee /var/www/product_update/installation.progress
    echo "Finishing at $(date '+%d%m%Y_%H%M%S')" | sudo tee -a /var/www/product_update/update.log
fi


uptime=$(sh /home/akkadianuser/scripts/ha_aco/get_uptime.sh)
serverUptime=${uptime%.*}
failOverStatus=$(systemctl status replica-failover.service | grep "active")

if [[ "$failOverStatus" != *"active"* && $serverUptime -lt 90 ]]; then
  sh /home/akkadianuser/scripts/beanstalk/flush_queue.sh
fi