#stop apns
systemctl stop apns
systemctl stop ams

#kill any process running on port 6001
sudo fuser -k 6001/tcp

echo "[AMS] Delete node if already installed"
#check if node is already installed
[ -d /usr/local/sbin/node ] && \rm -rf /usr/local/sbin/node

echo "[AMS] Install node"
sudo tar -xvf /home/akkadianuser/packages/node.tar.xz -C /usr/local/sbin

echo "[AMS] Rename node"
sudo mv /usr/local/sbin/node-v16.14.2-linux-x64 /usr/local/sbin/node

echo "[AMS] Add node to bashrc"
echo NODE_HOME=/usr/local/sbin/node >> ~/.bashrc
echo PATH=\$NODE_HOME/bin:\$PATH >> ~/.bashrc

#echo "[AMS] Run source"
#source ~/.bashrc

#install ams
echo "[AMS] Install ams"
[ -d /var/www/apns ] && \rm -rf /var/www/apns

[ -d /var/www/ams ] && \rm -rf /var/www/ams
sudo tar -xvf /home/akkadianuser/packages/AkkadianMessagingService-1.2.4.tar.gz -C /var/www

#install ams service
echo "[AMS] Move apns.service to systemd service folder"
sudo mv -f /var/www/ams/ams.service /etc/systemd/system

#start ams service
echo "[AMS] Start Akkadian Messaging Service"
systemctl daemon-reload
systemctl restart ams

#open port 6001
echo "[AMS] Open port 6001" >>/var/www/product_update/update.log
sudo firewall-cmd --zone=public --add-port=6001/tcp
sudo firewall-cmd --runtime-to-permanent
sudo firewall-cmd --reload