# Checks if installation product and installed product match. If not, exits with 1.
file="/var/www/product_update/manifest.json"
installed_product_name=$(sudo sh /home/akkadianuser/scripts/universal_updater/get_product_name.sh)
update_product_name=$(jq -r '.product.product_name' $file)

if [[ "$update_product_name" != "cli" ]]; then
    if [[ "$installed_product_name" != "$update_product_name" ]]; then
        echo "Update failed by attempting to apply an $update_product_name update to the installed product: $installed_product_name." >>/var/www/product_update/update.log
        echo "500 - Error: Update failed by attempting to apply an $update_product_name update to the installed product: $installed_product_name." >/var/www/product_update/installation.progress
        sleep 5
        exit 1
    fi
fi

exit 0